Loading...
Searching...
No Matches
Opm::BlackOilBioeffectsIntensiveQuantities< TypeTag, enableBioeffectsV > Class Template Reference

Provides the volumetric quantities required for the equations needed by the bioeffects extension of the black-oil model. More...

`#include <blackoilbioeffectsmodules.hh>`

## Public Member Functions

void | bioeffectsPropertiesUpdate_ (const ElementContext &elemCtx, unsigned dofIdx, unsigned timeIdx)
| Update the intensive properties needed to handle bioeffects from the primary variables.
const Evaluation & | microbialConcentration () const
const Evaluation & | oxygenConcentration () const
const Evaluation & | ureaConcentration () const
const Evaluation & | biofilmVolumeFraction () const
const Evaluation & | calciteVolumeFraction () const
const Evaluation | biofilmMass () const
const Evaluation | calciteMass () const
const Evaluation & | permFactor () const

## Protected Attributes

Evaluation | microbialConcentration_
Evaluation | oxygenConcentration_
Evaluation | ureaConcentration_
Evaluation | biofilmVolumeFraction_
Evaluation | calciteVolumeFraction_
Evaluation | biofilmMass_
Evaluation | calciteMass_
Evaluation | permFactor_
Evaluation | pcFactor_

## Detailed Description

template<class TypeTag, bool enableBioeffectsV = getPropValue<TypeTag, Properties::EnableBioeffects>()>
class Opm::BlackOilBioeffectsIntensiveQuantities< TypeTag, enableBioeffectsV >

Provides the volumetric quantities required for the equations needed by the bioeffects extension of the black-oil model.

The documentation for this class was generated from the following file:

- opm/models/blackoil/blackoilbioeffectsmodules.hh